Problems/confusion configuring the compiler and the kit.



  • Hello

    I've just taken my first Qt steps by installing Qt 5.1.1 (MSVC 2010, 32 bit).
    During installation I chose to install all the compilers, as I had no idea which one would work.

    When I try to run an example, I get this error:
    Qt Creator needs a compiler set up to build. Configure a compiler in the kit options.

    Yet, I seem to have a compiler and kit set.
    I've tried to search for an answer, but didn't succeed. Can someone point we what to do.

    Thanks in advance.

    !http://i.imgur.com/zj2emJz.png(Screenshot)!


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    For the MSVC packages you need to install the corresponding Visual Studio versions from Mircrosoft



  • Thanks for your fast reply and for the welcome.

    • Is there a free version of Visual Studio?

    • Do I still need Visual Studio if I select MinGW?

    I have little/no background in Visual Studio and related Microsoft software.


  • Lifetime Qt Champion

    • Yes there is, look for the Express editions
    • No you don't

  • Moderators

    Hi,

    Since you have already installed the MinGW compiler, your don't need MSVC any more. If you do want to switch in the future, go to Microsoft's website to down the free version.

    [quote author="ShanDeconinck" date="1385106980"]When I try to run an example, I get this error:
    Qt Creator needs a compiler set up to build. Configure a compiler in the kit options.

    Yet, I seem to have a compiler and kit set.[/quote]Ok, the Qt Creator IDE knows that you have a MinGW compiler and a copy of the Qt libraries built with MinGW.

    However, you must tell it to USE this kit. When you open an example for the first time, you are prompted to select the kit(s) to use. Make sure you select the MinGW kit.

    You have not installed MSVC compilers, so you cannot use the MSVC kits.

    [quote author="ShanDeconinck" date="1385106980"]During installation I chose to install all the compilers, as I had no idea which one would work.[/quote]Just so that you're aware, Qt does NOT supply MSVC compilers (Microsoft forbids it). It only supplies the MinGW compiler if you install "Qt 5.1.1 for Windows 32-bit (MinGW 4.8, OpenGL, 666 MB)".



  • Thanks for your advice.

    My compiler is working now.
    Now I get an issue with OpenGl. Do I need to install this seperately?
    If this is a big issue I'll open a new topic for it ofcourse.

    Thanks for this strong community.

    !http://i.imgur.com/PChi62Z.png(screenshot)!


  • Moderators

    Hi,

    You're welcome :)

    What is your graphics card model? Install the latest drivers for your graphics card.



  • I'm happy to say all problems are resolved. Thanks once more


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.